Bug 448628 - FUTEX_WAKE_BITSET and FUTEX_WAKE_BITSET incorrectly decoded
FUTEX_WAKE_BITSET and FUTEX_WAKE_BITSET incorrectly decoded
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 18:30 EDT by Ulrich Drepper
Modified: 2010-01-07 10:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 10:26:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add support for the bitset operations, removing CMP_REQUEUE_PI (2.46 KB, patch)
2008-05-27 18:30 EDT, Ulrich Drepper
no flags Details | Diff
Same patch, but don't add printing of parameter for all other operations (2.16 KB, patch)
2008-05-27 19:01 EDT, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2008-05-27 18:30:34 EDT
Description of problem:
Somehow the handling of FUTEX_CMP_REQUEUE_PI crept into strace.  That operation
is not supported in the upstream kernel.  And worse: the opcode number is used
for something else.  The newer operations FUTEX_WAIT_BITSET and
FUTEX_WAKE_BITSET collide with the incorrect FUTEX_CMP_REQUEUE_PI handling.  I'm
attaching a patch to correct the problem.

Version-Release number of selected component (if applicable):
strace-4.5.16-5.fc9

How reproducible:
always

Steps to Reproduce:
1.run code using FUTEX_WAIT_BITSET under strace
2.
3.
  
Actual results:
shown as FUTEX_CMP_REQUEUE_PI operations

Expected results:
shown as FUTEX_WAIT_BITSET operation

Additional info:
Comment 1 Ulrich Drepper 2008-05-27 18:30:34 EDT
Created attachment 306847 [details]
Add support for the bitset operations, removing CMP_REQUEUE_PI
Comment 2 Ulrich Drepper 2008-05-27 19:01:01 EDT
Created attachment 306851 [details]
Same patch, but don't add printing of parameter for all other operations

Little extra change slipped into the last patch.
Comment 3 Denys Vlasenko 2009-01-14 09:03:09 EST
Patch seems to be in upstream strace cvs already.
Comment 4 Bug Zapper 2009-06-09 21:14:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ulrich Drepper 2009-06-09 22:21:52 EDT
The strace in F11 is not updated.
Comment 6 Andreas Schwab 2009-10-22 09:06:23 EDT
Fixed in 4.5.19-1.
Comment 7 Bug Zapper 2009-11-16 03:06:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.